/*
APP-WIDE VARIABLES
*/
:root {
  --green: #5cb85c;
  --light-green: #deffde;
  --dark-green: #4ca34c;
  --blue: #0275d8;
  --dark-blue: #0066c0;
  --light-blue: #83c5ff;
  --light-red: #ffd4d3;
  --red: #d9534f;
  --yellow: #d1d33f;
  --dark-grey: #7c7c7c;
  --dark-red: #a94442;
  --light-grey: #cccccc;
  --grey: #f2f2f2;
  --dark-grey: #d2d2d2;
  --border-radius: 11.5px;
  --border-radius-small: 3px;
  --border-style: 1px solid #ccc;
}

.apt-remove {
  font-weight: bold;
  color: var(--red);
  text-decoration: none;
  font-size: 30px;
}
.apt-add {
  font-weight: bold;
  color: var(--dark-green);
  text-decoration: none;
  font-size: 30px;
}
.dynamic-data-apt-from,
.dynamic-data-apt-to {
  text-align: center;
}
.dynamic-data-apt-from,
.dynamic-data-apt-to,
.dynamic-data-hour,
.dynamic-data-respondents {
  font-size: 16px;
}
/* 
INPUTS
*/
*:focus {
  outline: none;
}
input[type="text"] {
  font-size: 16px;
}
button {
  font-size: 16px;
}
input[type="checkbox"],
input[type="radio"] {
  accent-color: black;
}
input {
  border: 1px solid var(--light-grey);
  border-radius: var(--border-radius-small);
}
select {
  border: 1px solid var(--light-grey);
  border-radius: var(--border-radius-small);
  font-size: 16px;
}
/*
Site-Wide Level
*/
body {
  font-family: arial;
  padding: 0;
  margin: 0;
  background-color: #fff;
}
.page {
  width: 1000px;
  margin: 0 auto;
}

/* HEADERS */
h1 {
  color: var(--blue);
  font-size: 1.8em;
}
h3 {
  margin-bottom: 4px;
  font-size: 16px;
}
h4 {
  margin-bottom: 4px;
}

/*
TABLES
*/
table {
  width: 100%;
}
table th {
  background-color: var(--dark-grey);
}
.data-table {
  border-collapse: separate;
  border-spacing: 0;
  border-radius: var(--border-radius);
  border: var(--border-style);
  text-align: left;
  overflow: hidden;
}
.data-table th {
  padding: 4px 8px;
  font-weight: bold;
}
.data-table td {
  padding: 0 8px;
  border: 1px solid #eee;
}
.data-table input[type="text"] {
  width: 100%;
  border: 1px solid var(--light-grey);
  border-radius: var(--border-radius-small);
}
.data-table input[type="text"]:hover,
.data-table textarea:hover {
  background-color: #dddddd;
}
.data-table textarea {
  width: 100%;
  border: none;
}
.data-table select {
  border: 1px solid var(--light-grey);
  border-radius: var(--border-radius-small);
  background: none;
  width: 100%;
}
.data-table.sortable tr th:hover {
  cursor: pointer;
}
.data-table.with-margin {
  margin: 10px 0;
}
.data-table.with-double-margin {
  margin: 20px 0;
}
.data-table-small td {
  font-size: 16px;
  padding: 0 8px;
  height: 20px;
}

.data-table-small .date-time-th {
  width: 100px;
}
.data-table-small .play-btn-th {
  width: 11px;
}
.data-table-small .apt-th {
  width: 80px;
}
.data-table-small .cp-type-th {
  width: 140px;
}
.data-table-small .time-th {
  width: 103px;
}
.data-table-small .ca-th {
  width: 307px;
}
.ca-th {
  width: 305px;
}
.na-th {
  width: 307px;
}
/*
BUTTONS
*/
.logout-button {
  display: block;
  float: right;
  color: #fff;
  border: 1px solid var(--light-grey);
  padding: 0 10px;
  height: 30px;
  margin: 5px 0;
  line-height: 30px;
  text-decoration: none;
  border-radius: var(--border-radius);
  text-align: center;
  min-width: 90px;
}
.logout-button:hover {
  background-color: var(--dark-grey);
  border: 1px solid #fff;
}
.submit-button {
  border: none;
  background-color: var(--dark-grey);
  color: #000;
  padding: 0px 10px;
  border-radius: var(--border-radius);
  border: none;
  cursor: pointer;
  width: 150px;
  float: right;
  height: 21px;
  line-height: 21px;
}
.submit-button:hover {
  background-color: var(--grey);
}
.submit-button2 {
  border: none;
  background-color: var(--dark-grey);
  color: var(--blue);
  padding: 2px 10px;
  border-radius: var(--border-radius);
  border: none;
  cursor: pointer;
  width: 150px;
  float: right;
  height: 21px;
}
.submit-button2:hover {
  background-color: var(--grey);
}
.submit-button:disabled,
.submit-button[disabled] {
  border: none;
  background-color: var(--light-grey);
  color: #888888;
  cursor: default;
}
/*
COLUMNS SYSTEM
*/
.row {
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  width: 100%;
}
.column {
  display: flex;
  flex-direction: column;
  flex-basis: 100%;
  flex: 1;
}
.double-column {
  display: flex;
  flex-direction: column;
  flex-basis: 100%;
  flex: 2;
}
.triple-column {
  display: flex;
  flex-direction: column;
  flex-basis: 100%;
  flex: 3;
}
.quadruple-column {
  display: flex;
  flex-direction: column;
  flex-basis: 100%;
  flex: 4;
}
.ten-column {
  display: flex;
  flex-direction: column;
  flex-basis: 100%;
  flex: 10;
}

/*
HEADER
*/
.pre-header {
  background-color: #292b2c;
  height: 40px;
  line-height: 40px;
}
.pre-header-giantcare {
  color: #c6cccc;
  padding-top: 8px;
}
.header-menu {
  background-color: var(--dark-grey);
  padding: 5px 0;
}
.status-container {
  border: 1px solid #fff;
  border-radius: var(--border-radius);
  padding: 4px;
  margin: 0 10px 0 0;
}
.status-checkmark {
  font-size: 2.2em;
  font-weight: bold;
  color: var(--green);
  line-height: 14px;
  margin-left: 10px;
}

/*
FORMS
*/
.form-group {
  display: flex;
}
.form-group input {
  font-size: 14px;
}
.form-group input[type="checkbox"] {
  float: left;
}
.form-group label {
  flex: 0 0 200px;
}
.form-group label.small {
  flex: 0 0 100px;
}
.form-group label.large-label {
  flex: 0 0 400px;
}
label {
  font-size: 16px;
}
/*
POPOUT MENU
*/
.popout-menu {
  display: none;
  position: absolute;
  margin-left: 698px;
  width: 300px;
  border: 1px solid #979797;
  border-radius: var(--border-radius);
  padding: 10px 4px;
  background: rgba(255, 255, 255, 0.8);
  z-index: 1;
}

.popout-menu-item {
  display: block;
  background-color: var(--dark-grey);
  height: 90px;
  width: 90px;
  border-radius: var(--border-radius);
  border: none;
  text-align: center;
  text-decoration: none;
  box-sizing: border-box;
  color: #999;
  align-self: center;
  font-size: 0.8em;
}
.popout-menu-item.active {
  color: #333;
}
.popout-menu-item.green {
  border-color: var(--green);
}
.popout-menu-item.blue {
  border-color: var(--blue);
}
.popout-menu-item.black {
  border-color: #292b2c;
}
.popout-menu-item.active:hover {
  cursor: pointer;
  background-color: var(--grey);
}
.popout-menu-item-box {
  display: flex;
  justify-content: center;
  align-items: center;
  height: 90px;
  margin-top: -3px;
  font-size: 14px;
}
.popout-menu .row {
  margin-bottom: 10px;
}

/*
LOADER
*/
.loader {
  display: none;
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(255, 255, 255, 0.3);
  z-index: 999999;
}

.loader-radar {
  height: 200px;
  width: 200px;
  flex-shrink: 0;
  overflow: hidden;
  position: fixed;
  left: 50%;
  top: 50%;
  transform: translate(-50%, -50%);
  border-radius: var(--border-radius);
  /*border: 1px solid var(--blue);*/
  background-size:
    50px 50px,
    50px 50px,
    cover,
    cover;
}
.loader-radar::before {
  content: "";
  position: absolute;
  height: 100%;
  width: 100%;
  border-radius: 100px;
  z-index: 0;
  animation: spin 1500ms linear infinite;
  background: conic-gradient(var(--blue), transparent, transparent);
}

@keyframes spin {
  0% {
    transform: rotate(360deg);
  }
  100% {
    transform: rotate(0deg);
  }
}

/*
UTILITIES
*/
.center {
  text-align: center;
}

.no-border {
  border: none !important;
}

.account-avatar-td {
  display: flex;
  width: 100px;
  flex-wrap: nowrap;
  align-items: center;
  border: none;
}
.account-name-th {
  width: 650px;
}

.sort:hover {
  cursor: pointer;
}
.sort img {
  width: 12px;
  margin-right: 10px;
}

.badge {
  padding: 2px 8px;
  border-radius: var(--border-radius);
  font-size: 0.8em;
  font-weight: bold;
  text-decoration: none;
  width: 45px;
  text-align: center;
  display: block;
  box-sizing: border-box;
}
.badge-success {
  background-color: var(--light-green);
  border: 1px solid var(--green);
  color: var(--green);
  font-size: 14px;
  font-weight: normal;
}
.badge-error {
  background-color: var(--light-red);
  border: 1px solid var(--red);
  color: var(--red);
}
.badge-large {
  width: 150px !important;
  float: right;
}
.margin-left {
  margin-left: 10px;
}
.form-group textarea {
  flex: 1;
}
.central-row .column .form-group label,
.central-row .double-column .form-group label {
  flex: 0 0 120px;
}
.form-group input[type="text"] {
  flex: 1;
  font-size: 16px !important;
}
.img-button {
  border: none;
  background-color: var(--dark-grey);
  color: #000;
  display: inline-block;
  padding: 0 10px;
  border-radius: var(--border-radius);
  text-align: center;
  border: none;
  font-weight: bold;
  cursor: pointer;
  width: 100px;
  height: 19px;
  text-decoration: none;
}
.form-group textarea {
  font-size: 16px;
  border: 1px solid var(--light-grey);
}
.clickable-column:hover {
  background-color: #ececec;
  cursor: pointer;
}
.rma-p {
  padding-right: 20px;
  font-size: 0.85em;
}
textarea {
  font-family: arial;
  font-size: 16px;
  border: 1px solid var(--light-grey);
}
.padding-left {
  padding-left: 10px;
}

.time-input-container input,
.time-input-container select {
  border: none;
  padding: 1px 4px;
  color: #000;
  border-radius: var(--border-radius);
  background: var(--dark-grey);
}
.time-input-container select {
  padding-right: 40px; /* mMore space wanted */
}
.clickable-row:hover {
  cursor: pointer;
  background-color: #ececec;
}

.account-image {
  border-radius: var(--border-radius);
}
.account-image.small {
  width: 25px;
  height: 25px;
  margin-right: 10px;
}
.research-checkbox {
  font-size: 14px;
  line-height: 24px;
  padding-left: 10px;
}
.notice {
  color: var(--red);
}

input[type="radio"] {
  /* Add if not using autoprefixer */
  -webkit-appearance: none;
  /* Remove most all native input styles */
  appearance: none;
  /* For iOS < 15 */
  background-color: var(--dark-grey);
  /* Not removed via appearance */
  margin: 0;
  font: inherit;
  color: var(--blue);
  width: 45px;
  height: 21px;
  border: none;
  border-radius: var(--border-radius);
  transform: translateY(-0.075em);
  display: grid;
  place-content: center;
  cursor: pointer;
}

input[type="radio"]::before {
  content: "";
  width: 0.65em;
  height: 0.65em;
  clip-path: polygon(87% 11%, 100% 24%, 35% 98%, 0 57%, 15% 41%, 39% 71%);
  transform: scale(0);
  transform-origin: bottom left;
  transition: 60ms transform ease-in-out;
  box-shadow: inset 1em 1em #000;
  /* Windows High Contrast Mode */
  background-color: CanvasText;
}

input[type="radio"]:checked::before {
  transform: scale(1);
}

input[type="radio"]:disabled {
  --form-control-color: var(--form-control-disabled);
  color: var(--form-control-disabled);
  cursor: not-allowed;
}

input[type="checkbox"] {
  /* Add if not using autoprefixer */
  -webkit-appearance: none;
  /* Remove most all native input styles */
  appearance: none;
  /* For iOS < 15 */
  background-color: var(--dark-grey);
  /* Not removed via appearance */
  margin: 0;
  font: inherit;
  color: #000;
  width: 45px;
  height: 21px;
  border: none;
  border-radius: var(--border-radius);
  transform: translateY(-0.075em);
  display: grid;
  place-content: center;
  cursor: pointer;
}

input[type="checkbox"]::before {
  content: "";
  width: 0.75em;
  height: 0.75em;
  clip-path: polygon(87% 11%, 100% 24%, 35% 98%, 0 57%, 15% 41%, 39% 71%);
  transform: scale(0);
  transform-origin: bottom left;
  transition: 60ms transform ease-in-out;
  box-shadow: inset 1em 1em #000;
  /* Windows High Contrast Mode */
  background-color: CanvasText;
}

input[type="checkbox"]:checked::before {
  transform: scale(1);
}

input[type="checkbox"]:disabled {
  --form-control-color: var(--form-control-disabled);
  color: var(--form-control-disabled);
  cursor: not-allowed;
}

.checkbox-container input[type="checkbox"] {
  margin-top: 4px;
}
.unit-img {
  width: 300px;
  margin: 0 auto;
}
.account-info {
  font-size: 14px;
  display: flex;
  justify-content: center;
  padding-left: 10px;
  margin-top: -3px;
}
.top-menu-image {
  width: 42px;
  height: 42px;
  cursor: pointer;
  float: right;
  margin-top: 2px;
}
.top-avatar {
  width: 40px;
  height: 40px;
  border-radius: var(--border-radius);
  border: 1px solid var(--light-grey);
}
.top-avatar:hover {
  cursor: pointer;
  border: 1px solid #333;
}

.align-right {
  align-items: flex-end;
}
.align-left {
  align-items: flex-start;
}
.align-vertical-center {
  justify-content: center;
}
.message-ok {
  background-color: var(--green);
  padding: 4px 10px 5px 10px;
  border-radius: var(--border-radius);
  color: #fff;
}

.row.with-margin {
  margin-bottom: 10px;
}
.with-margin {
  margin-bottom: 10px;
}
.time-input {
  width: 20px;
  text-align: center;
}

.date-input {
  width: 70px;
}

.extension_td {
  width: 150px;
}
.did_td {
  width: 150px;
}
.sn_td {
  width: 200px;
}

.active-0 {
  background-color: var(--red);
}
.active-0:hover {
  background-color: var(--dark-red);
}
.hidden {
  display: none;
}
.visually-hidden {
  display: none !important;
}
.col-p-right {
  padding-right: 10px;
}
.rma-card {
  color: #333;
  font-weight: 200;
  padding: 0 10px;
  border-radius: var(--border-radius);
  border: 1px solid var(--dark-grey);
  height: 94%;
  color: var(--blue);
}
.cp-type-th {
  width: 140px;
}
.cp-type-th2 {
  width: 369px;
}
.cp-type-th3 {
  width: 200px;
}
.time-th {
  width: 55px;
}
.apt-th {
  width: 80px;
}
.item-list {
  list-style-type: none;
  padding: 0;
  margin: 0;
  border: 1px solid var(--light-grey);
}
.item-list li {
  padding: 4px;
  margin: 0;
  border: 1px solid var(--light-grey);
}
.item-list li a {
  text-decoration: none;
  color: #000;
}
.item-list li:hover {
  cursor: pointer;
  background-color: #d2d2d2;
}
.status-checkmark {
  width: 30px;
  height: 30px;
  margin-top: 8px;
  margin-bottom: -10px;
}
.status-menu {
  color: #6a6a6a;
  font-size: 14px;
}

.bold {
  font-weight: bold;
}

.date-time-th {
  width: 110px;
}

.text-muted {
  color: var(--light-grey);
}
.small-input {
  width: 60px;
}
.medium-input {
  width: 120px;
}
.small-margin {
  margin-top: 5px;
}
.footer {
  height: 70px;
  padding-top: 50px;
  font-size: 14px;
}
.large-input {
  font-size: 1.2em;
  padding: 5px 4px;
  border: 1px solid var(--light-grey) !important;
  box-sizing: border-box;
}
.modal {
  display: none; /* Hidden by default */
  position: fixed; /* Stay in place */
  z-index: 1; /* Sit on top */
  padding-top: 250px; /* Location of the box */
  left: 0;
  top: 0;
  width: 100%; /* Full width */
  height: 100%; /* Full height */
  overflow: auto; /* Enable scroll if needed */
  background-color: rgb(0, 0, 0); /* Fallback color */
  background-color: rgba(0, 0, 0, 0.4); /* Black w/ opacity */
}
.modal-content {
  background-color: #fefefe;
  margin: auto;
  padding: 20px;
  border: 1px solid #888;
  width: 500px;
  border-radius: var(--border-radius);
  box-shadow:
    rgba(0, 0, 0, 0.25) 0px 54px 55px,
    rgba(0, 0, 0, 0.12) 0px -12px 30px,
    rgba(0, 0, 0, 0.12) 0px 4px 6px,
    rgba(0, 0, 0, 0.17) 0px 12px 13px,
    rgba(0, 0, 0, 0.09) 0px -3px 5px;
}
.modal-content audio {
  width: 100%;
}
.modal-content h3 {
  margin: 0 0 14px 0;
}
.next-prev-btn {
  font-size: 14px;
  text-decoration: none;
  background-color: var(--dark-grey);
  color: var(--blue);
  padding: 2px 10px;
  border-radius: var(--border-radius);
  border: 2px solid var(--blue);
  padding: 2px 4px;
  border-radius: var(--border-radius);
  text-align: center;
  display: inline-block;
  width: 100px;
  margin-left: 10px;
}
.next-prev-btn:hover {
  background-color: var(--dark-blue);
}
.add-remove-btn {
  font-size: 0.8em;
  text-decoration: none;
  color: #333;
  border: 1px solid var(--light-grey);
  background-color: #fff;
  width: 26px;
  border-radius: var(--border-radius);
  font-weight: bold;
  text-align: center;
  cursor: pointer;
  display: inline-block;
}
.add-remove-x {
  font-size: 14px;
  width: 24px !important;
}
.add-remove-btn.bigger {
  line-height: 28px;
}
.add-remove-btn:hover {
  background-color: #ececec;
  font-weight: bold;
}
.add-remove-td {
  width: 63px;
}
.no-event-td {
  color: var(--blue);
}

.no-margin {
  margin: 0 !important;
}

.calendar {
  border: 1px solid var(--light-grey);
  border-radius: var(--border-radius) !important;
  padding: 10px;
  position: absolute;
  background-color: rgba(255, 255, 255, 0.5);
  display: none;
}

#calendar-to {
  margin-left: 242px;
}
.remove-range-btn {
  width: 52px !important;
}

@media only screen and (max-width: 600px) {
  .page {
    width: 100%;
    margin: 0;
  }
  .status-menu {
    display: none;
  }
  .popout-menu {
    margin-left: 80px;
  }
  .form-group label.large-label {
    flex: 0 0 160px;
  }
  .container {
    max-width: none !important;
    margin: 20px !important;
  }
  .form-group label {
    flex: 0 0 100px !important;
  }
  .account-id-th {
    width: 125px;
  }
  .account-name-th {
    width: auto;
  }
}

@media print {
  .hide-print,
  .top-menu-image,
  .logout-button {
    display: none;
  }
  .header-menu {
    background: none;
  }
  .page {
    margin-top: -20px;
  }
  .submit-button {
    display: none;
  }
  @media print {
    .pagebreak {
      page-break-before: always;
    } /* page-break-after works, as well */
  }
}
.date-separator td {
  font-weight: bold;
  padding-top: 12px;
}
.date-separator.first-date td {
  padding-top: 0;
}

#fromHour,
#toHour,
#fromMinute,
#toMinute {
  text-align: center;
  width: 50px;
  margin-right: 10px;
}
#fromMinute {
  margin-right: 10px;
}
#toHour {
  margin-left: 10px;
}
.zone-th {
  width: 350px;
}
.title-data {
  /*margin-left: 20px;*/
}
.report-no-data {
  display: none;
}
.escalation-group {
  border-radius: var(--border-radius-small);
  margin-bottom: 40px !important;
  padding-bottom: 20px;
}
.escalation-group select,
.escalation-group input[type="text"] {
  border: 1px solid var(--light-grey) !important;
  border-radius: var(--border-radius-small);
}
.escalation-group .row .double-column.larger {
  flex: 2.3 !important;
}
.title-row {
  background-color: #d2d2d2;
  border-radius: 11.5px;
  font-weight: bold;
  padding: 5px 10px;
  box-sizing: border-box;
  margin-bottom: 6px;
}
.data-row {
  box-sizing: border-box;
}
.data-row .column,
.data-row .double-column {
}
.data-row .form-group {
  padding: 2px 8px 1px 8px;
}
.schedule-column {
  flex-basis: 250px;
}
.level-row .schedule-column .dynamic-data-hour {
  width: 45px;
}
.level-row .schedule-column .dynamic-data-minute,
.level-row .schedule-column .dynamic-data-minutes {
  width: 45px;
}
.level-row
  .schedule-column
  .dynamic-data-level:not(.dynamic-data-hour):not(.dynamic-data-minute):not(
    .dynamic-data-minutes
  ) {
  width: 42px;
}
.rank-column {
  text-align: center;
}
.respondent-column {
  flex-basis: 345px !important;
}
.rank {
  width: 100%;
  text-align: center;
}
.dynamic-data-apt-from,
.dynamic-data-apt-to,
.dynamic-data-hour,
.dynamic-data-respondents {
  width: 100%;
}

.remove-range-btn,
.remove-lvl-btn {
  font-size: 14px;
}

.maintenance-fixes {
  margin-top: 20px;
}
.maintenance-fixes-title {
  font-size: 1.3em;
  color: #cccccc;
  margin-bottom: 10px;
}
.maintenance_fixes ul {
  list-style-type: disc;
  margin: 0;
  padding: 0 0 0 20px;
}
.maintenance_fixes ul li {
  margin: 0;
  padding: 0 10px;
  color: #cccccc;
}
.dateSub {
  margin: 0;
  font-size: 1.3em;
  text-align: right;
}
.padded {
  padding: 0 10px;
}

.arrow {
  display: inline-block;
  position: relative;
  width: 60px; /* arrow length */
  height: 2px;
  background: black;
  vertical-align: middle;
}

.arrow::after {
  content: "";
  position: absolute;
  right: 0;
  top: -4px;
  border-left: 8px solid black;
  border-top: 5px solid transparent;
  border-bottom: 5px solid transparent;
}

select {
  color: #000;
}

select.is-placeholder {
  color: #999;
}
